#
# spec file for package rubygem-json
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-json
Version:        2.7.6
Release:        1.1
%define mod_name json
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://ruby.github.io/json
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-json-rpmlintrc
Source2:        gem2rpm.yml
Summary:        JSON Implementation for Ruby
License:        Ruby

%description
This is a JSON implementation as a Ruby extension in C.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md COPYING LEGAL README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 2.7.6:
  * Fix a regression in JSON.generate when dealing with Hash keys that are string subclasses, call `to_json` on them.
  * *Full Changelog**: https://github.com/ruby/json/compare/v2.7.5...v2.7.6
  2.7.5:
  [#]# What's Changed
  * Fix a memory leak when `#to_json` methods raise an exception.
  * Gracefully handle formatting configs being set to `nil` instead of `""`.
  * Workaround another issue caused by conflicting versions of both `json_pure` and `json` being loaded.
  * *Full Changelog**: https://github.com/ruby/json/compare/v2.7.4...v2.7.5
  2.7.4:
  [#]# What's Changed
  * Workaround a bug in 3.4.8 and older https://github.com/rubygems/rubygems/pull/6490.
  This bug would cause some gems with native extension to fail during compilation.
  * Workaround different versions of `json` and `json_pure` being loaded (not officially supported).
  * Make `json_pure` Ractor compatible.
  * *Full Changelog**: https://github.com/ruby/json/compare/v2.7.3...v2.7.4
  2.7.3:
  [#]# What's Changed
  * Numerous performance optimizations in `JSON.generate` and `JSON.dump` (up to 2 times faster).
  * Limit the size of ParserError exception messages, only include up to 32 bytes of the unparseable source.
  * Fix json-pure's `Object#to_json` to accept non state arguments
  * Fix multiline comment support in `json-pure`.
  * Fix `JSON.parse` to no longer mutate the argument encoding when passed an ASCII-8BIT string.
  * Fix `String#to_json` to raise on invalid encoding in `json-pure`.
  * Delete code that was based on CVTUTF.
  * Use the pure-Ruby generator on TruffleRuby.
  * Fix `strict` mode in `json-pure` to not break on Integer.
  [#]# `JSON.dump` Performance
  `JSON.dump` is now much faster, and on par or faster than alternative implementations:
  ```
  == Encoding citm_catalog.json (500298 bytes)
  ruby 3.4.0preview2 (2024-10-07 master 32c733f57b) +YJIT +PRISM [arm64-darwin23]
  Warming up --------------------------------------
    json (2.7.3)   123.000 i/100ms
    oj   124.000 i/100ms
  Calculating -------------------------------------
    json (2.7.3)      1.312k (± 1.8%%) i/s  (761.91 μs/i) -      6.642k in   5.062192s
    oj      1.278k (± 2.0%%) i/s  (782.35 μs/i) -      6.448k in   5.046587s
  Comparison:
    json (2.7.2):      884.0 i/s
    json (2.7.3):     1312.5 i/s - 1.48x  faster
    oj:     1278.2 i/s - 1.45x  faster
  ```
  ```
  == Encoding twitter.json (466906 bytes)
  ruby 3.4.0preview2 (2024-10-07 master 32c733f57b) +YJIT +PRISM [arm64-darwin23]
  Warming up --------------------------------------
    json (2.7.3)   213.000 i/100ms
    oj   222.000 i/100ms
  Calculating -------------------------------------
    json (2.7.3)      2.140k (± 2.8%%) i/s  (467.19 μs/i) -     10.863k in   5.079099s
    oj      2.303k (± 3.2%%) i/s  (434.27 μs/i) -     11.544k in   5.018239s
  Comparison:
    json (2.7.2):     1250.5 i/s
    oj:     2302.7 i/s - 1.84x  faster
    json (2.7.3):     2140.5 i/s - 1.71x  faster
  ```
  * *Full Changelog**: https://github.com/ruby/json/compare/v2.7.2...v2.7.3
  2.7.3rc1:
  * Numerous performance optimizations in `JSON.generate` and `JSON.dump`.
  * Limit the size of ParserError exception messages, only include up to 32 bytes of the unparseable source.
  * Fix json-pure's `Object#to_json` to accept non state arguments
  * Fix multiline comment support in `json-pure`.
  * Fix `JSON.parse` to no longer mutate the argument encoding when passed an ASCII-8BIT string.
  * Fix `String#to_json` to raise on invalid encoding in `json-pure`.
  * Delete code that was based on CVTUTF.
  * Use the pure-Ruby generator on TruffleRuby.
  * Fix `strict` mode in `json-pure` to not break on Integer.
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- 2.7.2:
  [#]# What's Changed
  * Use rb_sym2str instead of SYM2ID by @jhawthorn in https://github.com/flori/json/pull/561
  * Fix memory leak when exception is raised during JSON generation by @peterzhu2118 in https://github.com/flori/json/pull/574
  * Remove references to "19" methods in JRuby by @headius in https://github.com/flori/json/pull/576
  * Make OpenStruct support as optional by @hsbt in https://github.com/flori/json/pull/565
  * Autoload JSON::GenericObject to avoid require ostruct warning in Ruby 3.4 by @tompng in https://github.com/flori/json/pull/577
  * Warn to install ostruct if json couldn't load it by @hsbt in https://github.com/flori/json/pull/578
  [#]# New Contributors
  * @mperham made their first contribution in https://github.com/flori/json/pull/571
  * @peterzhu2118 made their first contribution in https://github.com/flori/json/pull/574
  * *Full Changelog**: https://github.com/flori/json/compare/v2.7.1...v2.7.2
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- 2.7.1:
  [#]# What's Changed
  [#]## Improved
  * [DOC] RDoc for additions by @BurdetteLamar in https://github.com/flori/json/pull/557
  [#]## Fixed
  * JSON.dump: handle unenclosed hashes regression by @casperisfine in https://github.com/flori/json/pull/554
  * Overload kwargs in JSON.dump by @k0kubun in https://github.com/flori/json/pull/556
  * Fix JSON.dump overload combination by @tompng in https://github.com/flori/json/pull/558
  [#]## Misc
  * Remove needless encodings by @hsbt in https://github.com/flori/json/pull/559
  * Unify versions by @hsbt in https://github.com/flori/json/pull/560
  [#]# New Contributors
  * @k0kubun made their first contribution in https://github.com/flori/json/pull/556
  * @tompng made their first contribution in https://github.com/flori/json/pull/558
  * *Full Changelog**: https://github.com/flori/json/compare/v2.7.0...v2.7.1
  2.7.0:
  [#]# What's Changed
  [#]## Improved
  * Perf. improvements to Hash#to_json in pure implementation generator. by @vipulnsward in https://github.com/flori/json/pull/203
  * Remove unnecessary initialization of create_id in JSON.parse() by @Watson1978 in https://github.com/flori/json/pull/454
  [#]## Added
  * Call `super` in `included` hook by @paracycle in https://github.com/flori/json/pull/486
  * Rename escape_slash in script_safe and also escape E+2028 and E+2029 by @casperisfine in https://github.com/flori/json/pull/525
  * Add a `strict` option to Generator by @casperisfine in https://github.com/flori/json/pull/519
  [#]## Fixed
  * Fix homepage url in gemspec by @unasuke in https://github.com/flori/json/pull/508
  * Fix dead link to Ragel in README by @okuramasafumi in https://github.com/flori/json/pull/509
  * [DOC] Fix yet another dead link to Ragel by @nobu in https://github.com/flori/json/pull/510
  * Fix "unexpected token" offset for Infinity by @jhawthorn in https://github.com/flori/json/pull/507
  * Use ruby_xfree to free buffers by @casperisfine in https://github.com/flori/json/pull/518
  [#]## Compatibility changes
  * JRuby requires a minimum of Java 8 by @headius in https://github.com/flori/json/pull/516
  * Rename JSON::ParseError to JSON:ParserError by @dalizard in https://github.com/flori/json/pull/530
  * Removed code for Ruby 1.8 by @hsbt in https://github.com/flori/json/pull/540
  * alias_method is private on Ruby 2.3 and 2.4 by @hsbt in https://github.com/flori/json/pull/541
  * remove_method of Module is private at Ruby 2.3 and 2.4 by @hsbt in https://github.com/flori/json/pull/544
  * [jruby] avoid using deprecated BigDecimal.new by @kares in https://github.com/flori/json/pull/546
  * Always indent even if empty by @headius in https://github.com/flori/json/pull/517
  [#]## Misc
  * Update CI matrix by @hsbt in https://github.com/flori/json/pull/521
  * Add missing changelog entries for 1.8.5 and 1.8.6 by @r7kamura in https://github.com/flori/json/pull/520
  * Actions workflow - Add new OS's, Ruby 3.1, Ruby master, Windows by @MSP-Greg in https://github.com/flori/json/pull/491
  * Skip unsupported test on JRuby by @nobu in https://github.com/flori/json/pull/532
  * Skip BigDecimal tests when it's missing to load by @hsbt in https://github.com/flori/json/pull/533
  * Simplify by @nobu in https://github.com/flori/json/pull/531
  * Load extension ('json/ext') consistently in test_ext by @aeroastro in https://github.com/flori/json/pull/536
  * Use test-unit-ruby-core gem by @hsbt in https://github.com/flori/json/pull/539
  * [CI] Add Windows mswin job by @MSP-Greg in https://github.com/flori/json/pull/545
  * Exclude truffleruby-head from Actions by @hsbt in https://github.com/flori/json/pull/551
  * tests/ractor_test.rb: make assert_separately available by @lucaskanashiro in https://github.com/flori/json/pull/506
  * Added changes for 2.7.0 and restore entries to 2.6.3 and 2.6.2 by @hsbt in https://github.com/flori/json/pull/552
  [#]# New Contributors
  * @unasuke made their first contribution in https://github.com/flori/json/pull/508
  * @okuramasafumi made their first contribution in https://github.com/flori/json/pull/509
  * @r7kamura made their first contribution in https://github.com/flori/json/pull/520
  * @MSP-Greg made their first contribution in https://github.com/flori/json/pull/491
  * @paracycle made their first contribution in https://github.com/flori/json/pull/486
  * @dalizard made their first contribution in https://github.com/flori/json/pull/530
  * @aeroastro made their first contribution in https://github.com/flori/json/pull/536
  * @jhawthorn made their first contribution in https://github.com/flori/json/pull/507
  * @lucaskanashiro made their first contribution in https://github.com/flori/json/pull/506
  * @Watson1978 made their first contribution in https://github.com/flori/json/pull/454
  * *Full Changelog**: https://github.com/flori/json/compare/v2.6.3...v2.7.0
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.6.3
  see installed CHANGES.md
* Mon Jun 13 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.6.2
  no changelog found
* Sat Dec 25 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.6.1
  [#]## 2021-10-24 (2.6.1)
  * Restore version.rb with 2.6.1
  [#]## 2021-10-14 (2.6.0)
  * Use `rb_enc_interned_str` if available to reduce allocations in `freeze: true` mode. #451.
  * Bump required_ruby_version to 2.3.
  * Fix compatibility with `GC.compact`.
  * Fix some compilation warnings. #469
* Fri Dec 25 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.1
  * Restore the compatibility for constants of JSON class.
* Mon Jul 13 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.3.1
  * Spelling and grammar fixes for comments. Pull request #191 by Josh
    Kline.
  * Enhance generic JSON and #generate docs. Pull request #347 by Victor
    Shepelev.
  * Add :nodoc: for GeneratorMethods. Pull request #349 by Victor Shepelev.
  * Baseline changes to help (JRuby) development. Pull request #371 by Karol
    Bucek.
  * Add metadata for rubygems.org. Pull request #379 by Alexandre ZANNI.
  * Remove invalid JSON.generate description from JSON module rdoc. Pull
    request #384 by Jeremy Evans.
  * Test with TruffleRuby in CI. Pull request #402 by Benoit Daloze.
  * Rdoc enhancements. Pull request #413 by Burdette Lamar.
  * Fixtures/ are not being tested... Pull request #416 by Marc-André
    Lafortune.
  * Use frozen string for hash key. Pull request #420 by Marc-André
    Lafortune.
  * Added :call-seq: to RDoc for some methods. Pull request #422 by Burdette
    Lamar.
  * Small typo fix. Pull request #423 by Marc-André Lafortune.
* Sat Dec 14 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.3.0
  see installed CHANGES.md
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed CHANGES.md
  [#]# 2019-02-21 (2.2.0)
  * Adds support for 2.6 BigDecimal and ruby standard library Set datetype.
* Wed Apr 19 2017 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGES.md
  [#]# 2017-04-18 (2.1.0)
  * Allow passing of `decimal_class` option to specify a class as which to parse
    JSON float numbers.
* Wed Apr 12 2017 coolo@suse.com
- updated to version 2.0.4
  see installed CHANGES.md
  [#]# 2017-03-23 (2.0.4)
  * Raise exception for incomplete unicode surrogates/character escape
    sequences. This problem was reported by Daniel Gollahon (dgollahon).
  * Fix arbitrary heap exposure problem. This problem was reported by Ahmad
    Sherif (ahmadsherif).
* Sat Jan 14 2017 coolo@suse.com
- updated to version 2.0.3
  see installed CHANGES.md
  [#]# 2017-01-12 (2.0.3)
  * Set `required_ruby_version` to 1.9
  * Some small fixes
* Wed Jul 27 2016 coolo@suse.com
- updated to version 2.0.2
  see installed CHANGES.md
  [#]# 2016-07-26 (2.0.2)
  * Specify `required_ruby_version` for json\_pure.
  * Fix issue #295 failure when parsing frozen strings.
* Sat Jul  2 2016 coolo@suse.com
- updated to version 2.0.1
  CHANGES removed upstream
* Wed Jun  3 2015 coolo@suse.com
- updated to version 1.8.3
  see installed CHANGES
  2015-06-01 (1.8.3)
  * Fix potential memory leak, thx to nobu.
* Wed Feb  4 2015 coolo@suse.com
- rename rpmlintrc and add it as source
* Wed Feb  4 2015 hvogel@suse.com
- update to 1.8.2
  * Some performance improvements by Vipul A M <vipulnsward@gmail.com>.
  * Fix by Jason R. Clark <jclark@newrelic.com> to avoid mutation of
    JSON.dump_default_options.
  * More tests by Michael Mac-Vicar <mmacvicar@gmail.com> and fixing
    space_before accessor in generator.
  * Performance on Jruby improvemed by Ben Browning <bbrownin@redhat.com>.
  * Some fixes to be compatible with the new Ruby 2.2 by
    Zachary Scott <e@zzak.io> and SHIBATA Hiroshi <hsbt@ruby-lang.org>.
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
- disable documentation to disable a loop between rdoc and json
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.8.1
  * Remove Rubinius exception since transcoding should be working now.
* Mon May 13 2013 coolo@suse.com
- updated to version 1.8.0
  * Fix https://github.com/flori/json/issues/162 reported by Marc-Andre
    Lafortune <github_rocks@marc-andre.ca>. Thanks!
  * Applied patches by Yui NARUSE <naruse@airemix.jp> to suppress warning with
  - Wchar-subscripts and better validate UTF-8 strings.
  * Applied patch by ginriki@github to remove unnecessary if.
  * Add load/dump interface to JSON::GenericObject to make
    serialize :some_attribute, JSON::GenericObject
    work in Rails active models for convenient SomeModel#some_attribute.foo.bar
    access to serialised JSON data.
* Tue Feb 12 2013 coolo@suse.com
- updated to version 1.7.7
  * Security fix for JSON create_additions default value and
    JSON::GenericObject. It should not be possible to create additions unless
    explicitely requested by setting the create_additions argument to true or
    using the JSON.load/dump interface. If JSON::GenericObject is supposed to
    be automatically deserialised, this has to be explicitely enabled by
    setting
    JSON::GenericObject.json_createble = true
    as well.
  * Remove useless assert in fbuffer implementation.
  * Apply patch attached to https://github.com/flori/json/issues#issue/155
    provided by John Shahid <jvshahid@gmail.com>, Thx!
  * Add license information to rubygems spec data, reported by Jordi Massaguer Pla <jmassaguerpla@suse.de>.
  * Improve documentation, thx to Zachary Scott <zachary@zacharyscott.net>.
* Wed Jan  2 2013 coolo@suse.com
- updated to version 1.7.6
  * Add GeneratorState#merge alias for JRuby, fix state accessor methods. Thx to
  jvshahid@github.
  * Increase hash likeness of state objects.
* Sun Aug 26 2012 coolo@suse.com
- updated to version 1.7.5
  * Fix compilation of extension on older rubies.
* Sat Jul 28 2012 coolo@suse.com
- update to 1.7.4
  * Fix compilation problem on AIX, see https://github.com/flori/json/issues/142
* Fri Jul  6 2012 coolo@suse.com
- update to 1.7.3
  * Work around Rubinius encoding issues using iconv for conversion instead.
  * Fix some encoding issues, that cause problems for  the pure and the
    extension variant in jruby 1.9 mode.
* Tue May  8 2012 coolo@suse.com
- update to 1.7.1
  * Some small fixes for building
* Sun May  6 2012 coolo@suse.com
- update to 1.7.0
  * Add JSON::GenericObject for method access to objects transmitted via JSON.
  * Fix possible crash when trying to parse nil value.
* Tue Apr  3 2012 coolo@suse.com
- update to 1.6.6
  * Propagate src encoding to values made from it (fixes 1.9 mode converting
    everything to ascii-8bit; harmless for 1.8 mode too) (Thomas E. Enebo
    <tom.enebo@gmail.com>), should fix
    https://github.com/flori/json/issues#issue/119.
  * Fix https://github.com/flori/json/issues#issue/124 Thx to Jason Hutchens.
  * Fix https://github.com/flori/json/issues#issue/117
* Wed Feb 15 2012 saschpe@suse.de
- Update to version 1.6.5:
  * Fixed a bug that shows up when using optimisation under GCC 4.7.
- Changes from version 1.6.4:
  * Patches that improve speed on JRuby contributed
  * Support object_class/array_class with duck typed hash/array.
- Changes from version 1.6.3:
  * Let JSON.load('') return nil as well to make mysql text columns (default to
    '') work better for serialization.
- Changes from version 1.6.2:
  * Add support for OpenStruct and BigDecimal.
  * Fix bug when parsing nil in quirks_mode.
  * Make JSON.dump and JSON.load methods better cooperate with Rails' serialize
    method. Just use: serialize :value, JSON
  * Fix bug with time serialization concerning nanoseconds. Thanks for the
    patch go to Josh Partlow (jpartlow@github).
  * Improve parsing speed for JSON numbers (integers and floats)
* Wed Dec 14 2011 jreidinger@suse.com
- move benchmarks to doc
- create testsuite subpackage ( template doesn't detect it as it is
  tests not test as usual )
* Wed Nov 23 2011 darix@nordisch.org
- added versioned provides
* Mon Nov 21 2011 fcastelli@suse.com
- Fix build on SLE11SP1: add the fastjar dependency at build time
- Remove file duplicates at the end of the build
* Mon Nov 21 2011 fcastelli@suse.com
- Remove all the update=alternatives references from the spec file,
  they are no longer needed since the gem doesn't have entries
  inside of /bin
* Fri Oct 14 2011 fcastelli@suse.com
- Update to 1.6.1
  * Using -target 1.5 to force Java bits to compile with 1.5.
- additional changes from version 1.6.0
  * Extract utilities (prettifier and GUI-editor) in its own gem json-utils.
  * Split json/add/core into different files for classes to be serialised.
* Thu Aug 25 2011 dmacvicar@suse.de
- json gem does not provide json_pure in terms of rpm
  Provides. If a gem depends on json_pure, having the json
  gem installed will make gem not find it.
- use the update-alternatives system for the installed
  binaries to be able to install json_pure in parallel
* Wed Aug 24 2011 fcastelli@novell.com
- Update to version 1.5.4
  * Fix memory leak when used from multiple JRuby. (Patch by
    jfirebaugh@github).
- additional changes from version 1.5.3
  * Alias State#configure method as State#merge to increase duck type synonymy with Hash.
  * Add as_json methods in json/add/core, so rails can create its json objects
  the new way.
- additional changes from version 1.5.2
  * Apply documentation patch by Cory Monty <cory.monty@gmail.com>.
  * Add gemspecs for json and json_pure.
  * Fix bug in jruby pretty printing.
  * Fix bug in object_class and array_class when inheriting from Hash or Array.
- additional changes from version 1.5.1
  * Made rake-compiler build a fat binary gem. This should fix issue
    https://github.com/flori/json/issues#issue/54.
- additional changes from version 1.5.0
  * Included Java source codes for the Jruby extension made by Daniel Luz
    <dev@mernen.com>.
  * Output full exception message of deep_const_get to aid debugging.
  * Fixed an issue with ruby 1.9 Module#const_defined? method, that was
    reported by Riley Goodside.
- Add provides rubygem-json_pure since json_pure is just this gem under a
  different name.
* Tue Mar 29 2011 kkaempf@novell.com
- split off -doc subpackage
* Sun Nov 14 2010 mrueckert@suse.de
- update to version 1.4.6
  * Fixed oversight reported in
    http://github.com/flori/json/issues/closed#issue/23,
    always create a new object from the state prototype.
  * Made pure and ext api more similar again.
- additional changes from version 1.4.5
  * Manage data structure nesting depth in state object during
    generation. This should reduce problems with to_json method
    definіtions that only have one argument.
  * Some fixes in the state objects and additional tests.
- additional changes from version 1.4.4
  * Fixes build problem for rubinius under OS X,
    http://github.com/flori/json/issues/closed#issue/25
  * Fixes crashes described in
    http://github.com/flori/json/issues/closed#issue/21 and
    http://github.com/flori/json/issues/closed#issue/23
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.4.3
  * Fixed some test assertions, from Ruby r27587 and r27590, patch
    by nobu.
  * Fixed issue http://github.com/flori/json/issues/#issue/20
    reported by electronicwhisper@github. Thx!
- additional changes from version 1.4.2
  * Applied patch from naruse Yui NARUSE <naruse@airemix.com> to
    make building with Microsoft Visual C possible again.
  * Applied patch from devrandom <c1.github@niftybox.net> in order
    to allow building of json_pure if extensiontask is not present.
  * Thanks to Dustin Schneider <dustin@stocktwits.com>, who
    reported a memory leak, which is fixed in this release.
  * Applied 993f261ccb8f911d2ae57e9db48ec7acd0187283 patch from
    josh@github.
- additional changes from version 1.4.1
  * Fix for a bug reported by Dan DeLeo <dan@kallistec.com>, caused
    by T_FIXNUM being different on 32bit/64bit architectures.
- additional changes from version 1.4.0
  * Major speed improvements and building with simplified
    directory/file-structure.
  * Extension should at least be comapatible with MRI, YARV and
    Rubinius.
- additional changes from version 1.2.4
  * Triger const_missing callback to make Rails' dynamic class
    loading work.
- additional changes from version 1.2.3
  * Added a State#[] method which returns an attribute's value in
    order to increase duck type compatibility to Hash.
- additional changes from version 1.2.2
  * Made some changes to make the building of the parser/generator
    compatible to Rubinius.
- additional changes from version 1.2.1
  * Added :symbolize_names option to Parser, which returns symbols
    instead of strings in object names/keys.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to version 1.2.0
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 1.1.3
* Fri May 25 2007 mrueckert@suse.de
- initial package
